extends layout

block content
  h1.title.is-2.has-text-white= title
  h2.title.is-4.has-text-white= subtitle

  p.has-text-white This tracks has different genre from the album

  .box
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
    table.table
      thead
        tr
          th ID
          th Title
          th Artist
          th ISRC
          th Genre
          th AlbumId
          th UserId
          th Status
      tfoot
        tr
          th ID
          th Title
          th Artist
          th ISRC
          th Genre
          th AlbumId
          th UserId
          th Status
      tbody
        each track in tracks
          tr
            td= track.id
            td= track.title
            td= track.artist
            td= track.isrc
            td= track.genre
            td= track.albumId
            td= track.userId
            td= track.status
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
